//  paniol.cpp: el paol Blas Roca
//  Fecha: 8/10/2020; 7:10 pm
//  S. Galliano

#include "paniol.h"
#include <iomanip>
#include <iostream>

using std::cout;
using std::getline;
using std::cin;
using std::setw;

Paniol::Paniol() : docente( "" ), fecha( "" ), totCosto( 0 ) {
    sierraK      = Herrams( "Sierra de calar",   6.80 );
    sierraT      = Herrams( "Sierra de trocear", 8.99 );
    atornillador = Herrams( "Atornillador",      3.55 );
    lijadoraP    = Herrams( "Lijadora plana",   11.22 );
}

void Paniol::tomarPedido() {
    cout << "Nombre completo del docente: ";
    getline( cin, docente );
    cout << "Fecha del pedido - d/mm/aaaa: ";
    getline( cin, fecha );
    sierraK.tomarPedido();
    sierraT.tomarPedido();
    atornillador.tomarPedido();
    lijadoraP.tomarPedido();
}

void Paniol::mostrarStock() {
    cout << std::fixed <<
    "Stock del pa\244ol:\n"     << std::left  <<
    setw( 18 ) << "Herramienta" << std::right <<
    setw( 8 )  << "Precio\n"    << std::setfill( '.' );
    sierraK.mostrarStock();
    sierraT.mostrarStock();
    atornillador.mostrarStock();
    lijadoraP.mostrarStock();
    cout << '\n';
}

void Paniol::costoTotal() {
    totCosto = sierraK.getPrecio()       * sierraK.getPedido();
    totCosto += sierraT.getPrecio()      * sierraT.getPedido();
    totCosto += atornillador.getPrecio() * atornillador.getPedido();
    totCosto += lijadoraP.getPrecio()    * lijadoraP.getPedido();
}

void Paniol::mostrarModelo() {
    cout
    << "\nHoja de pedidos.\n"
    << docente  << " - Fecha: " << fecha << '\n' << std::left
    << setw( 18 ) << "Herramienta" << std::right
    << setw( 8 )  << "Precio"
    << setw( 8 )  << "Cant."
    << setw( 12 ) << "Costo\n";
    sierraK.mostrarPedido();
    sierraT.mostrarPedido();
    atornillador.mostrarPedido();
    lijadoraP.mostrarPedido();
    costoTotal();
    cout << std::setfill( '.' ) << std::left
         << setw( 40 ) << "Costo total:" << totCosto << "$\n\n";
}
