//  dulce.cpp: una bd
//  Fecha: 11/10/2020; 8:13 am
//  S. Galliano

#include "dulce.h"

Dulce::Dulce( Str mk, int cl, int ps, int ct, double pr )
    { std::make_tuple(mk, cl, ps, ct, pr ); }

#include <iostream>
using std::cout;
using std::cin;

Data Dulce::entrarDato( Str mk ) {
    int cl, ps, ct;
    double pr;
    cout << "\250Peso? (g): ";
    cin >> ps;
    cout << "\250Calorias? (cal): ";
    cin >> cl;
    cout << "\250Cantidad? (u): ";
    cin >> ct;
    cout << "\250Precio? (CUC): ";
    cin >> pr;
    return std::make_tuple( mk, cl, ps, ct, pr );
}

#include <ios>
#include <iomanip>
using std::setw;

void Dulce::mostrarDato() {
    Str mk;
    int cl, ps, ct;
    double pr;
    tie( mk, cl, ps, ct, pr ) = dulce;
    std::ios::fmtflags oldFlags = cout.flags();
    cout.setf( std::ios_base::fixed );
    cout << std::left << setw( 16 ) << mk << std::right
         << setw( 8 ) << cl
         << setw( 8 ) << ps
         << setw( 8 ) << ct << std::setprecision ( 2 )
         << setw( 8 ) << pr << '\n';
    cout.unsetf( std::ios_base::fixed );
    cout.flags( oldFlags );
}
