//  menu.cpp: una bd
//  Fecha: 11/10/2020; 8:13 am
//  S. Galliano
#include "menu.h"
#include <iostream>
#include <cstdlib>

//  un men en consola
unsigned menu( std::string info ) {
    //  variables
    std::string conjunto = "0123456";
    std::string opcion;
    std::string::size_type idx;

    while ( true ) {
        system( "cls" );
        std::cout << info <<
        "1) Imprimir inventario\n"
        "2) Adicionar un producto\n"
        "3) Eliminar un producto\n"
        "4) Editar un producto\n"
        "5) Vaciar la base de datos\n"
        "6) Ayuda\n"
        "0) Terminar\n"
        "Seleccione una opci\242n: ";
        ( std::cin >> opcion ).get();
        idx = conjunto.find( opcion );

        if ( std::string::npos == idx ) {
            std::cerr << "\nError: opci\242n ilegal.\n\n";
            system( "pause" );
        } else {
            return idx;
        } // if-else
    } // while
}

//  la ayuda del men en consola
void ayuda( std::string info ) {
    system( "cls" );
    std::cout << info << "AYUDA\n"
    "1) Imprime el inventario en consola.\n"
    "2) Adiciona un producto al inventario.\n"
    "3) Elimina un producto del inventario.\n"
    "4) Edita los datos de un producto.\n"
    "5) Vac\241a la base de datos\n\n";
}
