//  Problema 5: bibliogafa
//  Fecha: 13/10/2020; 8:35 am
//  S. Galliano.

#include "menu.h"
#include "nodo.h"
#include <iostream>
#include <cstdlib>

int main() {
    using std::cout;
    using std::cerr;
    using std::cin;
    Str info( "Ejercicio 5: manejo de una biblioteca.\n\n" );
    Nodo *nodo = new Nodo; // listado de obras
    Obra clave;            // una obra en la lista
    short opcion;          // opcin del menu
    Str valor;             // un valor o un ttulo
    bool resp;             // una respuesta
    unsigned cant;         // la cantidad de nodos;

    while ( true ) {
        opcion = menu( info );

        if ( Termina == opcion ) {
            delete nodo;
            return EXIT_SUCCESS;
        } else
            cant = nodo->getSZ();
        switch ( opcion ) {
        case Inserta:
            nodo->insertar();
            break;
        case Muestra:
            if ( 0 == cant ) {
                cerr << ERR_V;
            } else {
                nodo->mostrar();
            } // if-else
            break;
        case Cuenta:
            cant == 1 ? cout << "Una obra.\n" : cout << cant << " obras.\n";
            break;
        case BuscaA:
            if ( 0 == cant ) {
                cerr << ERR_V;
            } else {
                cout << "\nApellido, inicial del nombre del autor: ";
                std::getline( cin, valor );
                resp = nodo->buscarA( valor );
                resp ? cout << ERR_E : cerr << ERR_N;
            } // if-else
            break;
        case BuscaO:
            if ( 0 == cant ) {
                cerr << ERR_V;
            } else {
                cout << "T\241tulo de su obra: ";
                std::getline( cin, valor );
                resp = nodo->buscarO( valor );
                resp ? cout << ERR_E : cerr << ERR_N;
            } // if-else
            break;
        case EliminaA:
            if ( 0 == cant ) {
                cerr << ERR_V;
            } else {
                cout << "\nApellido, inicial del nombre del autor: ";
                std::getline( cin, valor );

                if ( nodo->buscarA( valor ) ) {
                    nodo->eliminarA( valor );
                    cout << HECHO;
                } else {
                    cerr << ERR_N;
                } // if-else
            } // if-else
            break;
        case EliminaO:
            if ( 0 == cant ) {
                cerr << ERR_V;
            } else {
                cout << "T\241tulo de su obra: ";
                std::getline( cin, valor );

                if ( nodo->buscarO( valor ) ) {
                    nodo->eliminarO( valor );
                    cout << HECHO;
                } else {
                    cerr << ERR_N;
                } // if-else
            } // if-else
            break;
        case Vacia:
            if ( 0 == cant ) {
                cerr << ERR_V;
            } else {
                char sn;
                cout << "\255Cuidado! Acci\242n definitiva.\n"
                        "Prosigo \250s/n?: ";
                cin >> sn;

                if ( 'S' == sn or 's' == sn ) {
                    nodo->vaciar();
                    cout << HECHO;
                } // if
            } // if-else
            break;
        case Ayuda:
            ayudar( info );
            break;
        } // switch

        system( "pause" );
    } // while

    return EXIT_SUCCESS;
}
