//  Programa 9: BD polimrfica
//  Fecha: 23/10/2020; 7 pm
//  S. Galliano

#include "menu.h"
#include "piezas.h"
#include "base.h"
#include <iostream>
#include <cstdlib>
#include <string>

int main() {
    using std::cout;
    using std::cin;
    using std::cerr;
    std::string info("Ejercicio 9: BD polim\242rfica.\n\n");
    Base *pBase = new Base;
    Piezas *pParte = nullptr;
    short  opcion;
    int    n;
    uLong  laPieza;
    uShort elValor;

    while ( true ) {
        opcion = menu( info );

        if ( Fin == opcion ) {
            delete pParte;
            delete pBase;
            return EXIT_SUCCESS;
        } else
            n = pBase->getVctSize();

        switch ( opcion ) {
        case Contar:
            if ( 0 == n )
                cerr << ERR_V;
            else
                1 == n
                    ? std::cout << "\nHay un nodo.\n\n"
                    : std::cout << "\nHay " << n << " nodos.\n\n";
            break;
        case Entrar:
            short opc;
            cout << "\n(1)Carro; (2)Avi\242n: ";
            cin >> opc;

            if ( 1 == opc or 2 == opc ) {
                cout << "\nNueva pieza: ";
                cin >> laPieza;

                if ( opc == 1 ) { // <-- aqu discrimina
                    cout << "A\244o: ";
                    cin >> elValor;
                    pParte = new Auto( laPieza, elValor );
                } else {
                    cout << "No. de motores: ";
                    cin >> elValor;
                    pParte = new Avion( laPieza, elValor );
                } // if-else

                pBase->insertar( pParte );
                cout << "\n";
            }
            break;
        case Mostrar:
            if ( 0 == n )
                cerr << ERR_V;
            else {
                cout << "\n";
                pBase->mostrar();
                cout << "\n";
            }
            break;
        case Encontrar:
            if ( 0 == n )
                cerr << ERR_V;
            else {
                cout << "\nEl n\243mero de la pieza: ";
                cin >> laPieza;
                elValor = 0;
                pParte = new Auto( laPieza, elValor );
                pBase->buscar( pParte ) ? cout << ERR_Y : cerr << ERR_N;
            }
            break;
        case Borrar:
            if ( 0 == n )
                cerr << ERR_V;
            else {
                cout << "\nEl n\243mero de la pieza: ";
                cin >> laPieza;
                elValor = 0;
                pParte = new Auto( laPieza, elValor );
                pBase->borrar( pParte );
            }
            break;
        default:
            std::cerr << "Por hacer.\n\n";
            break;
        } // switch

        system( "pause" );
    } // while
}
