// main.cpp: ejercicio 14, una calculadora RPN
// Fecha: 10/110/2020; 4:50 pm
// S. Galliano

#include "calc.h"
#include <iostream>
#include <cstdlib>

int main() {
    std::cout << "Ejercicio 14: ejemplo de calculadora RPN.\n"
                 "Una expresi\242n legal RPN es: 12 5 + que\n"
                 "suma 12 con 5. Termine su c\240lculo con la\n"
                 "letra F\n\n> ";
    MotorCalc *pCalc = new MotorCalc;
    int valor;
    char c;

    while ( std::cin >> c )
        switch ( c ) {
        case '0': case '1': case '2': case '3': case '4':
        case '5': case '6': case '7': case '8': case '9':
            std::cin.putback( c );
            std::cin >> valor;
            pCalc->pushOp( valor );
            break;
        case '+':
            pCalc->ejecuta( MotorCalc::Suma );
            break;
        case '-':
            pCalc->ejecuta( MotorCalc::Resta );
            break;
        case '*':
            pCalc->ejecuta( MotorCalc::Producto );
            break;
        case '/':
            pCalc->ejecuta( MotorCalc::Division );
            break;
        case 'f': case 'F':
            std::cout << pCalc->MemActual() << "\n\n";
            delete pCalc;
            system( "pause" );
            return EXIT_SUCCESS; // quit program
        }
}
