#ifndef MUESTREO_H_INCLUDED
#define MUESTREO_H_INCLUDED

// muestreo.h: ejercicio 15, muestreo MAS
// Fecha: 11/10/2020; 10:10 am

const long POBLACN = 1000000; // tamao de la poblacin
const long MUESTRA =    3000; // tamao de una muestra

#include <vector>
typedef std::vector<double> Vct;

class MAS {
public:
    MAS() {
        pob.reserve(POBLACN);
        mst.reserve(MUESTRA);
    }
    Vct getPob() const { return pob; }
    Vct getMst() const { return mst; }
    void generaPob();
    void generaMst();
    void impreVals( Vct vct );
private:
    Vct pob, // el vector poblacin
        mst; // el vector muestra
};

#endif // MUESTREO_H_INCLUDED
