//  Programa auxiliar 3: divisin por cero
//  Fecha: 18/11/2020; 2 pm
//  S. Galliano.

#include "error.h"
#include <iostream>
#include <cstdlib>
#include <iomanip>

const std::string PROMPT( "\nEntre dos n\243meros separados\npor un espacio en blanco: " );

int main() {
    std::cout << "Programa auxiliar 3: manejo de excepciones.\n";
    double n1, n2; // los dos nmeros
    char sn;       // si o no?
    std::cout << PROMPT
              << std::fixed << std::setprecision( 2 ) << std::setw( 8 );

    while ( std::cin >> n1 >> n2 ) {
        try {
            std::cout << "x/y = " << entre( n1, n2 );
        } catch ( DivisionPorCero & e ) {
            std::cerr << e.what();
        }

        std::cout << "\n\n\250Una vez m\240s? (s/n)> ";
        std::cin >> sn;

        if ( 'N' == toupper( sn ) )
            return EXIT_SUCCESS;
        else
            std::cout << PROMPT;
    } // while cin
}
