//  Programa 4: vectores
//  Fecha: 25/7/2020; 11 am
//  Revisión: 14/11/2020; 12:50 pm
//  S. Galliano.

#include "vectores.h"
#include <iostream>
#include <cstdlib>
#include <iomanip>

using namespace miVector; // <--

const int PRES = 2;

int main() {
    using std::cout;

    cout << "Problema 4: uso de la clase Vector.\n\n";
    Vector A, B;
    cout << "Datos del vector en formato (x, y)\n";
    cout << "A: ";
    std::cin >> A;
    cout << "B: ";
    std::cin >> B;

    cout << std::fixed << std::setprecision( 2 );
    A = Polar; cout << "\nEn modo polar, A: " << A;
    B = Polar; cout << "\nEn modo polar, B: " << B;

    cout << "\n\n" <<
    "El producto-punto de A y B vale " << A * B << "\n";
    double sita = coseno( A, B );
    cout << "El coseno entre A y B es de " << sita << " rad o "
         << std::setprecision( 0.5*PRES )  << sita * GRAD2RAD << " grd.\n\n";

    if (  0 == sita ) cout << "Son perpendiculares.\n\n";
    if (  1 == sita ) cout << "Son paralelos.\n\n";
    if ( -1 == sita ) cout << "Son anti-paralelos.\n\n";

    cout << std::setprecision( PRES );
    Vector C( A + B );
    C = Cartesiano;
    cout << "La suma de ambos es " << C << " que en modo\n";
    C = Polar;
    cout << "polar tambi\202n se expresa as\241: " << C << '\n';

    cout << "\nEn modo cartesiano:"
         << "\nA multiplicado por 3 vale " << A * 3
         << "\nB revertido vale " << -B << "\n\n";

    system( "pause" );
    return EXIT_SUCCESS;
}
