#ifndef FRUTAS_H_INCLUDED
#define FRUTAS_H_INCLUDED

//  frutas.h: definiciones para el programa 05
//  Fecha: 16/7/2020; 4:30 pm
//  Revisin: 3/10/2020; 5:24 pm
//  Por: S. Galliano.

#include <string>
typedef std::string Str;

// Clase-madre Fruta
class Fruta {
public: // objetos pblicos
    Fruta( Str nb, Str cl ); // ctor
    // accesores
    Str getNombre() const;
    Str getColor()  const;
    void muestra();
private: // miembros privados
    Str nombre;
    Str color;
};

// Clase-hija Naranja
class Naranja : public Fruta {
public: // objetos pblicos
    Naranja( Str nb, Str cl, bool co, bool ju );
    void muestra(); // mtodo sobrescrito
private: // miembros privados
    bool comestible;
    bool jugosa;
};

// Clase-hija pltanos
class Platano : public Fruta {
public: // objetos pblicos
    Platano( Str nb, Str cl, bool co );
    void muestra(); // mtodo sobrescrito
private: // miembros privados
    bool comestible;
};

#endif // FRUTAS_H_INCLUDED
