//  mamifero.cpp: definiciones para el programa 06
//  Fecha: 29/9/2020; 10:35 am
//  Revisin: 3/10/2020 7:20 pm
//  S. Galliano
#include "mamifero.h"
#include <iostream>
using std::cout;

// los mamferos
Mamifero::Mamifero( std::string rz ) : raza( rz ) {}

// los perros
Perro::Perro( std::string rz, std::string nb ) : Mamifero( rz ), nombre( nb ) {}
void Perro::Hablar () const { cout << "\255Guau, guau!\n"; }
void Perro::Moverse( int n ) const { cout << "El perro da " << n << " pasos.\n"; }
void Perro::Mostrarse() const {
    cout << "El perro se llama " << getNombre()
         << " y es un " << Mamifero::getRaza() << '\n';
}

// los gatos
Gato::Gato( std::string rz, std::string cl ) : Mamifero( rz ), color( cl ) {}
void Gato::Hablar () const { cout << "\255Miau!\n"; }
void Gato::Moverse( int n ) const { cout << "El gato trepa " << n << " zancadas.\n"; }
void Gato::Mostrarse() const {
    cout << "El gato es de color " << getColor()
         << " y " << Mamifero::getRaza() << '\n';
}
