#ifndef NODO_H_INCLUDED
#define NODO_H_INCLUDED

//  nodo.h: bibliogafa
//  Fecha: 13/10/2020; 8:35 am
//  S. Galliano.

#include "biblio.h"
#include <vector>
typedef std::vector<Data> Vct;

const Str ERR_V( "El listado est\240 vac\241o.\n\n" );
const Str ERR_E( "Est\240.\n\n" );
const Str ERR_N( "No est\240.\n\n" );
const Str HECHO( "Hecho.\n\n" );

class Nodo {
public:
    Nodo() { vct.clear(); }
    unsigned getSZ() const { return vct.size(); }
    void insertar();
    void mostrar();
    void ordenar();
    void vaciar();
    bool buscarA( Str nombre ) const;
    bool buscarO( Str titulo ) const;
    void eliminarA( Str nombre );
    void eliminarO( Str titulo );
private:
    Vct vct;
};

#endif // NODO_H_INCLUDED
