// utility.cpp: definiciones para el ejercicio 10
// Fecha: 27/10/2020; 10:33 am
#include "utiles.h"
#include <fstream>

Vct Utility::cargarMats( Str archy ) {
    std::ifstream Leyendo( archy );
    if( not Leyendo.is_open() )
        throw ERR;

    Vct vc;
    Str recd;
    char delim = ',';

    while( Leyendo.good() ) {
        std::getline( Leyendo, recd, delim );
        vc.push_back( recd );
    } // while

    return vc;
}

Val Utility::cargarNots( Str archy, int n ) {
    std::ifstream Leyendo( archy );
    if( not Leyendo.is_open() )
        throw ERR;

    Val vAry( n );
    Str recd;
    char delim = ',';
    int i = 0;

    while( Leyendo.good() ) {
        std::getline( Leyendo, recd, delim );
        vAry[i] = atof( recd.c_str() );
        ++i;
    } // while

    return vAry;
}
