//  Ejercicio 12: plantilla de una LSE
//  Fecha: 2/11/2020; 6:11 pm
//  S. Galliano

#include "Mi_Lista.h"
#include "../../Programas/deposito/rnd.h"

const int N = 10;

int main() {
    std::cout << "Ejercicio 12: manejo de una LSE.\n";
    srand( time( nullptr) );

    std::cout << "\nCon una lista de " << N << " enteros.\n  ";
    std::list<int> lst( N );
    RELLENA_I( lst, 1, 50 );
    LSE<int> l_Int( lst );
    l_Int.muestraColl();
    l_Int.enLista( 25 )
        ? std::cout << "  El valor 25 est\240.\n"
        : std::cout << "  El valor 25 no est\240.\n";

    std::cout << "\nCon un vector de "<< 0.5 * N << " reales.\n  ";
    std::vector<double> vct( 0.5 * N );
    RELLENA_R( vct, 1, 51 );
    LSE<double> l_Dbl( vct );
    l_Dbl.muestraColl();
    l_Dbl.entra( 2.2222 );
    int n = l_Dbl.cuenta();
    std::cout << "  Ahora son " << n << " nodos ordenados.\n  ";
    l_Dbl.ordena();
    l_Dbl.muestraColl();


    std::cout << "\nCon una doble cola de "<< 0.8 * N << " cortos.\n  ";
    std::deque<short> dek( 0.8 * N );
    RELLENA_I( dek, 1, 50 );
    LSE<short> l_Sht( dek );
    l_Sht.muestraColl();
    l_Sht.vaciaColl();
    l_Sht.estaVacia()
        ? std::cout << "  Ahora la lista est\240 vac\241a.\n\n"
        : std::cout << "  La lista no se vac\242.\n\n";

    system( "pause" );
    return EXIT_SUCCESS;
}
