#ifndef ANIMAL_H_INCLUDED
#define ANIMAL_H_INCLUDED

//  Programa 07: herencia mltiple
//  Fecha: 27/9/2020; 1:35 pm
//  Revisin: 3/10/2020 7:45 pm
//  S. Galliano

#include <iostream>
typedef int MANOS;
enum COLOR { Rojo, Verde, Azul, Amarillo, Blanco, Negro, Bayo, Pinto } ;

class Caballo {
public:
    Caballo( COLOR elColor, MANOS elAlto );
    virtual ~Caballo() { std::cout << "Destructor de un Caballo...\n"; }
    virtual void Relincha()  const;
    virtual MANOS GetAlto()  const { return alto; }
    virtual COLOR getColor() const { return color; }
private:
    COLOR color;
    MANOS alto;
};

class Pajaro {
public:
    Pajaro( COLOR elColor, bool migra );
    virtual ~Pajaro() { std::cout << "Destructor de un P\240jaro...\n"; }
    virtual void Vuela()  const { std::cout << "\255Puedo volar!"; }
    virtual COLOR getColor() const { return color; }
    virtual bool  getMigracion() const { return migracion; }
private:
    COLOR color;
    bool  migracion;
};

class Pegaso : public Caballo, public Pajaro { // <-- primero el caballo
public:
    void Gorjea() const { Relincha(); }
    Pegaso( COLOR elColor, MANOS elAlto, bool migra, short laEdad, short creen );
    virtual ~Pegaso() { std::cout << "Destructor de un Pegaso...\n"; }
    virtual COLOR getColor() const { return Caballo::getColor(); }
    short getEdad() const { return edad; }
    short getCreyentes() const { return creyentes; }
private:
    short edad;
    short creyentes;
};

#endif // ANIMAL_H_INCLUDED
