#ifndef BASE_H_INCLUDED
#define BASE_H_INCLUDED

// Programa 10
// Fecha: 4/10/2020; 9 am
#include "piezas.h"
#include <iostream>
#include <algorithm>
#include <vector>
typedef std::vector<Piezas *> Vct;

// funcin de ordenamiento fuerte
bool menor( const Piezas * n1, const Piezas * n2 ) {
    return n1->getPieza() < n2->getPieza();
}

class Base {
public:
    Base() {};
    virtual ~Base() {};
    void mostrar();
    void ordenar() { sort( vct.begin(), vct.end(), menor ); };
    void insertar( Piezas *pParte ) { vct.push_back( pParte ); }
private:
    Vct vct;
};

void Base::mostrar() {
    for ( auto x: vct ) {
        x->muestra();
    } // for-en-rangos
}

#endif // BASE_H_INCLUDED
