#ifndef PIEZAS_H_INCLUDED
#define PIEZAS_H_INCLUDED

// Programa 10
// Fecha: 4/10/2020; 9 am

typedef unsigned long  uLong;
typedef unsigned short uShort;

// Piezas: base-madre abstracta
class Piezas {
public:
    Piezas(): pieza( 1 ) {}
    Piezas( uLong laPieza ): pieza( laPieza ) {}
    virtual ~Piezas() {}
    virtual uLong getPieza() const { return pieza; }
    virtual void muestra() const = 0; // must be overridden
private:
    uLong pieza;
};

// Piezas de un auto
class Auto : public Piezas {
public:
    Auto(): modelo( 2020 ) {}
    virtual ~Auto() {}
    Auto( uLong laPieza, uShort elModelo );
    virtual void muestra() const;
private:
    uShort modelo;
};

// Piezas de un avin
class Avion : public Piezas {
public:
    Avion(): motores( 1 ) {};
    virtual ~Avion() {}
    Avion( uLong laPieza, uShort losMotores );
    virtual void muestra() const;
private:
    uShort motores;
};

#endif // PIEZAS_H_INCLUDED
