//  Programa 13: una clase functor
//  Fecha: 1/10/2020; 1:12 pm
//  S. Galliano

#include "estads.h"
#include <iostream>
#include <cstdlib>
#include <fstream>

int main() {
    using namespace std;
    cout << "Programa 13: una clase functor.\n\n";
    std::ifstream leeEntero( "C://temp//datos.txt" );

    if ( leeEntero.fail() ) {
        std::cerr << "Fall\242 la lectura. Abortando.\n";
        return EXIT_FAILURE;
    }

    int valor;
    std::vector<int> vInt;

    while ( leeEntero >> valor ) {
        vInt.push_back(valor);
    } // while

    Estads stI = for_each( vInt.begin(), vInt.end(), Estads(vInt) );
    cout << "Media  =  " << stI.media() << '\n';
    cout << "Mediana = " << stI.medin() << '\n';
    cout << "Varz.  =  " << stI.varza() << '\n';
    cout << "Suma   =  " << stI.suma()  << '\n';
    cout << "Cuenta =  " << stI.cuent() << "\n\n";

    system( "pause" );
    return EXIT_SUCCESS;
}
